import { ToasterProps, Message, ToastType, ToastOptions, Toast, ToastHandler } from '../types';
import { Renderable, ValueOrFunction, DefaultToastOptions } from '../types';
export declare const defaultOpts: import("solid-js").Accessor<ToasterProps>, setDefaultOpts: import("solid-js").Setter<ToasterProps>;
export declare const createToast: (message: Message, type: ToastType, options: ToastOptions) => Toast;
declare const toast: {
    (message: Message, opts?: ToastOptions): string;
    error: ToastHandler;
    success: ToastHandler;
    loading: ToastHandler;
    custom: ToastHandler;
    dismiss(toastId?: string): void;
    promise<T>(promise: Promise<T>, msgs: {
        loading: Renderable;
        success: ValueOrFunction<Renderable, T>;
        error: ValueOrFunction<Renderable, any>;
    }, opts?: DefaultToastOptions): Promise<T>;
    remove(toastId?: string): void;
};
export { toast };
